<script lang="ts" setup>
import { ref } from 'vue';
import { useMemberStore } from '@/stores/member';
import { useReceiptStore } from '@/stores/receipt';

const memberStore = useMemberStore()
const receiptStore = useReceiptStore()
const tel = ref('')
function onClick(){
    memberStore.searchMember(tel.value)
    receiptStore.calReceipt()

}

</script>
<template>
    <v-container>
        <v-row no-gutters>
            <v-col cols="6">
                <v-text-field
                    v-model="tel"
                    density="compact"
                    variant="solo"
                    label="Search templates"
                    append-inner-icon="mdi-magnify"
                    single-line
                    hide-details
                    @click:append-inner="onClick"
                    @keyup.enter="onClick"
                    ></v-text-field>
            </v-col>

            <v-col cols="6" class="pa-2 text-center">
                {{ 
                    memberStore.currentMember? memberStore.currentMember?.name : 'ไม่พบผู้ใช้' 
                }}
            </v-col>
        </v-row>
    </v-container>
   
</template>